#############################################################################
# Makefile for building: qmake
# Generated by qmake (1.02a) on: Sat Jun 22 01:40:55 2002
# Project:  qmake.pro
# Template: app
# Command: $(QMAKE) -spec C:\wolfpack\lib\wrl\mkspecs\win32-msvc qmake.pro
#############################################################################

####### Compiler, tools and options

CC		=	cl
CXX		=	cl
LEX		= flex
YACC		= byacc
CFLAGS	=	-nologo -Zm200 -W3 -O1  -DQT_NO_TEXTCODEC -DQT_LITE_COMPONENT -DQT_NODLL -DQT_NO_STL
CXXFLAGS	=	-nologo -Zm200 -W3 -O1  -DQT_NO_TEXTCODEC -DQT_LITE_COMPONENT -DQT_NODLL -DQT_NO_STL
LEXFLAGS	=
YACCFLAGS	=-d
INCPATH	=	 -I"." -I"generators" -I"generators\unix" -I"generators\win32" -I"generators\mac" -I"..\include" -I"..\include\private" -I"..\src\tools" -I"..\mkspecs\win32-msvc" -I"C:\wolfpack\lib\wrl\mkspecs\win32-msvc"
LINK	=	link
LFLAGS	=	/NOLOGO delayimp.lib /DELAYLOAD:comdlg32.dll /DELAYLOAD:oleaut32.dll /DELAYLOAD:winmm.dll /DELAYLOAD:wsock32.dll /DELAYLOAD:winspool.dll /SUBSYSTEM:console /incremental:no
LIBS	=	
MOC		=	$(QTDIR)\bin\moc.exe
UIC		=	$(QTDIR)\bin\uic.exe
QMAKE		=	qmake
IDC		=	$(QTDIR)\bin\idc.exe
IDL		=	midl
ZIP		=	zip -r -9
COPY_FILE	=       copy
COPY_DIR	=       copy
DEL_FILE	=       del
DEL_DIR	=       deltree
MOVE		=       move

####### Files

HEADERS =	generators\mac\metrowerks_xml.h \
		generators\mac\pbuilder_pbx.h \
		generators\makefile.h \
		generators\projectgenerator.h \
		generators\unix\unixmake.h \
		generators\win32\borland_bmake.h \
		generators\win32\msvc_dsp.h \
		generators\win32\msvc_nmake.h \
		generators\win32\winmakefile.h \
		option.h \
		project.h
SOURCES =	..\src\tools\qtextstream.cpp \
		..\src\tools\qiodevice.cpp \
		..\src\tools\qglobal.cpp \
		..\src\tools\qgdict.cpp \
		..\src\tools\qcstring.cpp \
		..\src\tools\qstring.cpp \
		..\src\tools\qdatastream.cpp \
		..\src\tools\qgarray.cpp \
		..\src\tools\qbuffer.cpp \
		..\src\tools\qglist.cpp \
		..\src\tools\qptrcollection.cpp \
		..\src\tools\qfile.cpp \
		..\src\codecs\qtextcodec.cpp \
		..\src\tools\qregexp.cpp \
		..\src\tools\qgvector.cpp \
		..\src\tools\qgcache.cpp \
		..\src\tools\qbitarray.cpp \
		..\src\tools\qdir.cpp \
		..\src\tools\qfileinfo.cpp \
		..\src\tools\qdatetime.cpp \
		..\src\tools\qstringlist.cpp \
		..\src\tools\qmap.cpp \
		generators\mac\metrowerks_xml.cpp \
		generators\mac\pbuilder_pbx.cpp \
		generators\makefile.cpp \
		generators\projectgenerator.cpp \
		generators\unix\unixmake.cpp \
		generators\unix\unixmake2.cpp \
		generators\win32\borland_bmake.cpp \
		generators\win32\msvc_dsp.cpp \
		generators\win32\msvc_nmake.cpp \
		generators\win32\winmakefile.cpp \
		main.cpp \
		option.cpp \
		project.cpp \
		..\src\tools\qfile_win.cpp \
		..\src\tools\qdir_win.cpp \
		..\src\tools\qfileinfo_win.cpp
OBJECTS =	.obj\qtextstream.obj \
		.obj\qiodevice.obj \
		.obj\qglobal.obj \
		.obj\qgdict.obj \
		.obj\qcstring.obj \
		.obj\qstring.obj \
		.obj\qdatastream.obj \
		.obj\qgarray.obj \
		.obj\qbuffer.obj \
		.obj\qglist.obj \
		.obj\qptrcollection.obj \
		.obj\qfile.obj \
		.obj\qtextcodec.obj \
		.obj\qregexp.obj \
		.obj\qgvector.obj \
		.obj\qgcache.obj \
		.obj\qbitarray.obj \
		.obj\qdir.obj \
		.obj\qfileinfo.obj \
		.obj\qdatetime.obj \
		.obj\qstringlist.obj \
		.obj\qmap.obj \
		.obj\metrowerks_xml.obj \
		.obj\pbuilder_pbx.obj \
		.obj\makefile.obj \
		.obj\projectgenerator.obj \
		.obj\unixmake.obj \
		.obj\unixmake2.obj \
		.obj\borland_bmake.obj \
		.obj\msvc_dsp.obj \
		.obj\msvc_nmake.obj \
		.obj\winmakefile.obj \
		.obj\main.obj \
		.obj\option.obj \
		.obj\project.obj \
		.obj\qfile_win.obj \
		.obj\qdir_win.obj \
		.obj\qfileinfo_win.obj
FORMS =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	qmake.exe

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .c

.cpp.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<

.cxx.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<

.cc.obj:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo$@ $<

.c.obj:
	$(CC) -c $(CFLAGS) $(INCPATH) -Fo$@ $<

####### Build rules

all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) /OUT:$(TARGET) @<< 
	  $(OBJECTS) $(OBJMOC) $(LIBS)
<<


mocables: $(SRCMOC)

Makefile: qmake.pro  C:\wolfpack\lib\wrl\mkspecs\win32-msvc/qmake.conf 
	$(QMAKE) -spec C:\wolfpack\lib\wrl\mkspecs\win32-msvc qmake.pro
dist:
	$(ZIP) .zip .pro $(SOURCES) $(HEADERS) $(DIST) $(FORMS)

clean:
	-del .obj\qtextstream.obj
	-del .obj\qiodevice.obj
	-del .obj\qglobal.obj
	-del .obj\qgdict.obj
	-del .obj\qcstring.obj
	-del .obj\qstring.obj
	-del .obj\qdatastream.obj
	-del .obj\qgarray.obj
	-del .obj\qbuffer.obj
	-del .obj\qglist.obj
	-del .obj\qptrcollection.obj
	-del .obj\qfile.obj
	-del .obj\qtextcodec.obj
	-del .obj\qregexp.obj
	-del .obj\qgvector.obj
	-del .obj\qgcache.obj
	-del .obj\qbitarray.obj
	-del .obj\qdir.obj
	-del .obj\qfileinfo.obj
	-del .obj\qdatetime.obj
	-del .obj\qstringlist.obj
	-del .obj\qmap.obj
	-del .obj\metrowerks_xml.obj
	-del .obj\pbuilder_pbx.obj
	-del .obj\makefile.obj
	-del .obj\projectgenerator.obj
	-del .obj\unixmake.obj
	-del .obj\unixmake2.obj
	-del .obj\borland_bmake.obj
	-del .obj\msvc_dsp.obj
	-del .obj\msvc_nmake.obj
	-del .obj\winmakefile.obj
	-del .obj\main.obj
	-del .obj\option.obj
	-del .obj\project.obj
	-del .obj\qfile_win.obj
	-del .obj\qdir_win.obj
	-del .obj\qfileinfo_win.obj

####### Compile

.obj\qtextstream.obj: ..\src\tools\qtextstream.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qtextstream.obj ..\src\tools\qtextstream.cpp

.obj\qiodevice.obj: ..\src\tools\qiodevice.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qiodevice.obj ..\src\tools\qiodevice.cpp

.obj\qglobal.obj: ..\src\tools\qglobal.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qglobal.obj ..\src\tools\qglobal.cpp

.obj\qgdict.obj: ..\src\tools\qgdict.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qgdict.obj ..\src\tools\qgdict.cpp

.obj\qcstring.obj: ..\src\tools\qcstring.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qcstring.obj ..\src\tools\qcstring.cpp

.obj\qstring.obj: ..\src\tools\qstring.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qstring.obj ..\src\tools\qstring.cpp

.obj\qdatastream.obj: ..\src\tools\qdatastream.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qdatastream.obj ..\src\tools\qdatastream.cpp

.obj\qgarray.obj: ..\src\tools\qgarray.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qgarray.obj ..\src\tools\qgarray.cpp

.obj\qbuffer.obj: ..\src\tools\qbuffer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qbuffer.obj ..\src\tools\qbuffer.cpp

.obj\qglist.obj: ..\src\tools\qglist.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qglist.obj ..\src\tools\qglist.cpp

.obj\qptrcollection.obj: ..\src\tools\qptrcollection.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qptrcollection.obj ..\src\tools\qptrcollection.cpp

.obj\qfile.obj: ..\src\tools\qfile.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qfile.obj ..\src\tools\qfile.cpp

.obj\qtextcodec.obj: ..\src\codecs\qtextcodec.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qtextcodec.obj ..\src\codecs\qtextcodec.cpp

.obj\qregexp.obj: ..\src\tools\qregexp.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qregexp.obj ..\src\tools\qregexp.cpp

.obj\qgvector.obj: ..\src\tools\qgvector.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qgvector.obj ..\src\tools\qgvector.cpp

.obj\qgcache.obj: ..\src\tools\qgcache.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qgcache.obj ..\src\tools\qgcache.cpp

.obj\qbitarray.obj: ..\src\tools\qbitarray.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qbitarray.obj ..\src\tools\qbitarray.cpp

.obj\qdir.obj: ..\src\tools\qdir.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qdir.obj ..\src\tools\qdir.cpp

.obj\qfileinfo.obj: ..\src\tools\qfileinfo.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qfileinfo.obj ..\src\tools\qfileinfo.cpp

.obj\qdatetime.obj: ..\src\tools\qdatetime.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qdatetime.obj ..\src\tools\qdatetime.cpp

.obj\qstringlist.obj: ..\src\tools\qstringlist.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qstringlist.obj ..\src\tools\qstringlist.cpp

.obj\qmap.obj: ..\src\tools\qmap.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qmap.obj ..\src\tools\qmap.cpp

.obj\metrowerks_xml.obj: generators\mac\metrowerks_xml.cpp generators\mac\metrowerks_xml.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\metrowerks_xml.obj generators\mac\metrowerks_xml.cpp

.obj\pbuilder_pbx.obj: generators\mac\pbuilder_pbx.cpp generators\mac\pbuilder_pbx.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\pbuilder_pbx.obj generators\mac\pbuilder_pbx.cpp

.obj\makefile.obj: generators\makefile.cpp generators\makefile.h \
		generators\projectgenerator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\makefile.obj generators\makefile.cpp

.obj\projectgenerator.obj: generators\projectgenerator.cpp generators\projectgenerator.h \
		generators\makefile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\projectgenerator.obj generators\projectgenerator.cpp

.obj\unixmake.obj: generators\unix\unixmake.cpp generators\unix\unixmake.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\unixmake.obj generators\unix\unixmake.cpp

.obj\unixmake2.obj: generators\unix\unixmake2.cpp generators\unix\unixmake.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\unixmake2.obj generators\unix\unixmake2.cpp

.obj\borland_bmake.obj: generators\win32\borland_bmake.cpp generators\win32\borland_bmake.h \
		generators\win32\winmakefile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\borland_bmake.obj generators\win32\borland_bmake.cpp

.obj\msvc_dsp.obj: generators\win32\msvc_dsp.cpp generators\win32\msvc_dsp.h \
		generators\win32\winmakefile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\msvc_dsp.obj generators\win32\msvc_dsp.cpp

.obj\msvc_nmake.obj: generators\win32\msvc_nmake.cpp generators\win32\msvc_nmake.h \
		generators\win32\winmakefile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\msvc_nmake.obj generators\win32\msvc_nmake.cpp

.obj\winmakefile.obj: generators\win32\winmakefile.cpp generators\win32\winmakefile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\winmakefile.obj generators\win32\winmakefile.cpp

.obj\main.obj: main.cpp project.h \
		option.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\main.obj main.cpp

.obj\option.obj: option.cpp option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\option.obj option.cpp

.obj\project.obj: project.cpp project.h \
		option.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\project.obj project.cpp

.obj\qfile_win.obj: ..\src\tools\qfile_win.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qfile_win.obj ..\src\tools\qfile_win.cpp

.obj\qdir_win.obj: ..\src\tools\qdir_win.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qdir_win.obj ..\src\tools\qdir_win.cpp

.obj\qfileinfo_win.obj: ..\src\tools\qfileinfo_win.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo.obj\qfileinfo_win.obj ..\src\tools\qfileinfo_win.cpp

####### Install

install: all 

uninstall: 

